﻿// you must also add a reference to the AIOUSBNet.dll in the project
// The path should be C:\Windows\system32\AIOUSBNet.dll or the equivalent for your system

namespace Sample1
{
    public partial class HeadlinerTestForm
    {
        private class THLResultData
        {
            public string Head0;
            public string Head1;
            public string HeadCSN;
            public string[] HeadModcode;
            public bool[] HeadHex;

            public bool bFinishedReadOfPLCDBManifestWithSharp7;
            public bool bCheckForOpenLeftMic;
            public bool bCheckForOpenRightMic;
            public bool bMakeSureLeftSunshadeLampIsOn;
            public bool bMakeSureRightSunshadeLampIsOn;
            public bool bCheckForOpenDomeLamp;
            public bool bConnect16_WayX1X2;
            public bool b59_WayConnected;
            public bool b59_WayPIPSwitchesDetected;
            public bool b59_WayDrawdownSolenoidEnergized;
            public bool b59_WayLatchSolenoidEnergized;
            public bool b55_WayConnected;
            public bool b55_WayPIPSwitchesDetected;
            public bool b55_WayDrawdownSolenoidEnergized;
            public bool b55_WayLatchSolenoidEnergized;
            public bool b16_16_WayX1PIPSwitchDetected;
            public bool b16_16_WayX2PIPSwitchDetected;
            public bool b16_16_WayX1X2Connected;

            public THLResultData()
            {
                HeadModcode = new string[9999];
                HeadHex = new bool[256];

                Clear();
            }

            public void Clear()
            {
                //There's probably a better way, but we can't rely on C++ partial initializers.
                int I;
                Head0 = "";
                Head1 = "";
                HeadCSN = "";
                for (I = 0; I < HeadModcode.Length; ++I) HeadModcode[I] = "";
                for (I = 0; I < HeadHex.Length; ++I) HeadHex[I] = false;

                bFinishedReadOfPLCDBManifestWithSharp7 = false;
                bCheckForOpenLeftMic = false;
                bCheckForOpenRightMic = false;
                bMakeSureLeftSunshadeLampIsOn = false;
                bMakeSureRightSunshadeLampIsOn = false;
                bCheckForOpenDomeLamp = false;
                bConnect16_WayX1X2 = false;
                b59_WayConnected = false;
                b59_WayPIPSwitchesDetected = false;
                b59_WayDrawdownSolenoidEnergized = false;
                b59_WayLatchSolenoidEnergized = false;
                b55_WayConnected = false;
                b55_WayPIPSwitchesDetected = false;
                b55_WayDrawdownSolenoidEnergized = false;
                b55_WayLatchSolenoidEnergized = false;
                b16_16_WayX1PIPSwitchDetected = false;
                b16_16_WayX2PIPSwitchDetected = false;
                b16_16_WayX1X2Connected = false;
            }
        }
    }
}