﻿namespace Sample1
{
    public partial class ConsoleTestForm3
    {
        public class TConsoleResultData
        {
            public string BuildID;
            public string CartNumber;
            public string CSN;
            public string[] HeadModcode;

            public bool bFinishedReadOfPLCDBManifestWithSharp7;
            public bool bInitalizePartNumberTextBoxes;
            public bool b55_WayConnected;
            public bool bParsedMultipleTXTFiles;
            public bool bAllRequiredUSBsWereTested;
            public bool bEndcapUSBCardScanned;
            public bool bBodyUSBCardScanned;
            public bool bCupholderUSBCardScanned;
            public bool bLINTrailerBrakeSwitchReadDetectionPassed;
            public bool bStartTheConsoleTestAutomaticSequence;
            public bool b55_WayPIPDetected;
            public bool b55_WayDrawdownSolenoidEnergized;
            public bool b55_WayLatchSolenoidEnergized;
            public bool bLINHeatedSeatSwitchReadDetectionPassed;
            public bool bEOCMModulePartNumberReadPassed;
            public bool bSIBModulePartNumberReadPassed;
            public bool bWCMModulePartNumberReadPassed;
            public string TBSLog;
            public string SeatLog;
            public string EOCMLog;
            public string SIBLog;
            public string WCMLog;

            public TConsoleResultData()
            {
                HeadModcode = new string[9999];

                Clear();
            }

            public bool ParseComplete { get; internal set; }

            public void Clear()
            {
                //There's probably a better way, but we can't rely on C++ partial initializers.
                int I;
                BuildID = "";
                CartNumber = "";
                CSN = "";
                for (I = 0; I < HeadModcode.Length; ++I) HeadModcode[I] = "";

                ParseComplete = false;
                bFinishedReadOfPLCDBManifestWithSharp7 = false;
                bInitalizePartNumberTextBoxes = false;
                b55_WayConnected = false;
                bParsedMultipleTXTFiles = false;
                bEndcapUSBCardScanned = false;
                bBodyUSBCardScanned = false;
                bCupholderUSBCardScanned = false;
                bLINTrailerBrakeSwitchReadDetectionPassed = false;
                bStartTheConsoleTestAutomaticSequence = false;
                b55_WayPIPDetected = false;
                b55_WayDrawdownSolenoidEnergized = false;
                b55_WayLatchSolenoidEnergized = false;
                bLINHeatedSeatSwitchReadDetectionPassed = false;
                bEOCMModulePartNumberReadPassed = false;
                bSIBModulePartNumberReadPassed = false;
                bWCMModulePartNumberReadPassed = false;
                TBSLog = "";
                SeatLog = "";
                EOCMLog = "";
                SIBLog = "";
                WCMLog = "";
            }
        }
    }} // *****************************************************